Bug 905567 - AttributeError: 'NoneType' object has no attribute 'window' [NEEDINFO]
AttributeError: 'NoneType' object has no attribute 'window'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
ppc64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-01-29 11:45 EST by Mark Hamzy
Modified: 2014-02-05 13:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 13:40:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clumens: needinfo? (hamzy)


Attachments (Terms of Use)
storage.log (74.50 KB, text/x-log)
2013-01-29 11:45 EST, Mark Hamzy
no flags Details
this traceback was on the system (55.19 KB, application/octet-stream)
2013-02-12 11:20 EST, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2013-01-29 11:45:09 EST
Created attachment 689943 [details]
storage.log

Description of problem:
Booting the Fedora 18 DVD with the following command line parameters

boot: linux inst.vnc inst.sshd ip=9.5.114.36::9.5.114.1:255.255.255.0:sharpie.rch.stglabs.ibm.com:eth0:none ip=9.5.114.41::9.5.114.1:255.255.255.0::eth1:none nameserver=9.10.244.100 bootdev=eth0 ks=http://chukar.rch.stglabs.ibm.com/Fedora18-sharpie-plain-cdrom-minimal-ks.cfg

The kickstart file is as follows:

8<-----8<-----8<-----8<-----8<-----8<-----
#version=DEVEL
# System authorization information
auth --enableshadow --passalgo=sha512
# Use CDROM installation media
cdrom
# Run the Setup Agent on first boot
firstboot --enable
ignoredisk --only-use=sda
# Keyboard layouts
keyboard --vckeymap=us --xlayouts='us'
# System language
lang en_US.UTF-8

# Network information
network  --bootproto=static --device=eth0 --gateway=9.5.114.1 --ip=9.5.114.36 --nameserver=9.10.244.100 --netmask=255.255.255.0 --noipv6 --activate
network  --bootproto=static --device=eth1 --gateway=9.5.114.1 --ip=9.5.114.41 --nameserver=9.10.244.100 --netmask=255.255.255.0 --noipv6 --activate
network  --hostname=sharpie.rch.stglabs.ibm.com
# Root password
rootpw --iscrypted $6$lGDDfqDma62sIpaZ$T4JLFjB43Hx8cmJi4iO17ZHNnlqi3PZekvXLwfq7o2/K39fHTVIzcfdfqu4xUHUfJASlVwAyeml3QVGtzlEtl/
# System services
services --enabled="chronyd"
# System timezone
timezone America/Chicago --isUtc
# System bootloader configuration
bootloader --location=mbr --boot-drive=sda
# Partition clearing information
clearpart --all --initlabel --drives=sda
# Partition creation
partition prep  --onpart=/dev/sda1
partition /boot --onpart=/dev/sda2
partition swap  --onpart=/dev/sda3
partition /     --onpart=/dev/sda5

%pre
#!/bin/bash
dd if=/dev/zero of=/dev/sda bs=512 count=1
parted -s /dev/sda mklabel msdos
# @TBD             mkpart primary prep
parted -s /dev/sda mkpart primary                 2048s    10239s
parted -s /dev/sda mkpart primary ext3           10240s  1034239s
parted -s /dev/sda mkpart primary linux-swap   1034240s  9324543s
parted -s /dev/sda mkpart extended             9324544s 62914559s
parted -s /dev/sda mkpart logical ext3         9324592s 62914559s

%end

%packages
@core
@standard
chrony

%end
8<-----8<-----8<-----8<-----8<-----8<-----

I see the following output on the console:

8<-----8<-----8<-----8<-----8<-----8<-----
anaconda 18.37.11 for Fedora 18 started.
16:29:20 Running pre-installation scripts
16:29:21 Starting VNC...
16:29:22 The VNC server is now running.
16:29:22 

WARNING!!! VNC server running with NO PASSWORD!
You can use the vncpassword=<password> boot option
if you would like to secure the server.


16:29:22 Please manually connect your vnc client to sharpie.rch.stglabs.ibm.com:1 (9.5.114.36) to begin the install.

Exception in thread AnaStorageThread:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/threading.py", line 551, in __bootstrap_inner
    self.run()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 95, in run
    sys.excepthook(*sys.exc_info())
  File "/usr/lib/python2.7/site-packages/meh/handler.py", line 162, in <lambda>
    sys.excepthook = lambda ty, value, tb: self.handleException((ty, value, tb), obj)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/exception.py", line 82, in handleException
    (ty, value, tb), obj)
  File "/usr/lib/python2.7/site-packages/meh/handler.py", line 108, in handleException
    win = self.intf.mainExceptionWindow(str(self.exn), self.exnText)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 188, in mainExceptionWindow
    lightbox = AnacondaWidgets.lb_show_over(self._currentAction.window)
AttributeError: 'NoneType' object has no attribute 'window'


(anaconda:1099): Gtk-WARNING **: Overriding tab label for notebook

(anaconda:1099): Gtk-WARNING **: Unknown property: GtkGrid.n-rows

(anaconda:1099): Gtk-WARNING **: Unknown property: GtkGrid.n-columns

(anaconda:1099): Gtk-WARNING **: Unknown property: GtkGrid.n-columns
Tue Jan 29 06:29:29 HAST 2013
Tue Jan 29 06:29:29 HAST 2013
Tue Jan 29 06:29:29 HAST 2013

(anaconda:1099): Gtk-WARNING **: Overriding tab label for notebook

(anaconda:1099): Gtk-WARNING **: No object called: mountPointCompletion
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 399, in _doExecute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1485, in doKickstartStorage
    ksdata.partition.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 772, in execute
    p.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 941, in execute
    raise KickstartValueError, formatErrorMsg(self.lineno, msg="Specified nonexistent partition %s in partition command" % self.onPart)
pykickstart.errors.KickstartValueError: The following problem occurred on line 29 of the kickstart file:

Specified nonexistent partition sda1 in partition command
8<-----8<-----8<-----8<-----8<-----8<-----

When I ssh into the machine it seems that the disk has been partitioned.

8<-----8<-----8<-----8<-----8<-----8<-----
[anaconda root@sharpie ~]# cat /tmp/ks-script-uXYs7u.log
1+0 records in
1+0 records out
512 bytes (512 B) copied, 0.00302197 s, 169 kB/s
Warning: The resulting partition is not properly aligned for best performance.

[anaconda root@sharpie ~]# fdisk -l

Disk /dev/sda: 32.2 GB, 32212254720 bytes, 62914560 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x0ec70300

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1            2048       10239        4096   83  Linux
/dev/sda2           10240     1034239      512000   83  Linux
/dev/sda3         1034240     9324543     4145152   82  Linux swap / Solaris
/dev/sda4         9324544    62914559    26795008    f  W95 Ext'd (LBA)
/dev/sda5         9324592    62914559    26794984   83  Linux

Disk /dev/mapper/live-rw: 1073 MB, 1073741824 bytes, 2097152 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes

8<-----8<-----8<-----8<-----8<-----8<-----

Now, if I were to break at ./pyanaconda/kickstart.py line 940, I see the following:

8<-----8<-----8<-----8<-----8<-----8<-----
(Pdb) print self.onPart
'sda1'
(Pdb) print udev_resolve_devspec(self.onPart)
sda1
(Pdb) print devicetree.getDeviceByName('sda1')
None
(Pdb) [d.path for d in devicetree._devices]
['/dev/sda', '/dev/sr0', '/run/install/repo/LiveOS/squashfs.img', '/dev/loop0', '/LiveOS/rootfs.img', '/dev/loop1', '/overlay (deleted)', '/dev/loop2', '/dev/mapper/live-rw']
8<-----8<-----8<-----8<-----8<-----8<-----

Version-Release number of selected component (if applicable):
anaconda-18.37.11-1

How reproducible:
Very

Steps to Reproduce:
See above
Comment 1 Mark Hamzy 2013-01-29 11:51:07 EST
Okay, right after I submitted this bug, I released that the clearpart command was still in the kickstart file. Sigh.

However, should the first exception be happening?

AttributeError: 'NoneType' object has no attribute 'window'
Comment 2 Chris Lumens 2013-02-07 16:57:59 EST
No, it shouldn't.
Comment 3 Mark Hamzy 2013-02-12 10:31:18 EST
I am seeing this as well on a s390x instance.

Exception in thread AnaStorageThread:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/threading.py", line 551, in __bootstrap_inner
    self.run()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 95, in run
    sys.excepthook(*sys.exc_info())
  File "/usr/lib/python2.7/site-packages/meh/handler.py", line 162, in <lambda>
    sys.excepthook = lambda ty, value, tb: self.handleException((ty, value, tb), obj)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/exception.py", line 82, in handleException
    (ty, value, tb), obj)
  File "/usr/lib/python2.7/site-packages/meh/handler.py", line 108, in handleException
    win = self.intf.mainExceptionWindow(str(self.exn), self.exnText)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 188, in mainExceptionWindow
    lightbox = AnacondaWidgets.lb_show_over(self._currentAction.window)
AttributeError: 'NoneType' object has no attribute 'window'

type generic prm a

ro ramdisk_size=50000 cio_ignore=all,!0009,!f5f0-f5f2
ip=9.152.142.226::9.152.140.1:255.255.252.0::eth0:none
nameserver=9.152.120.241
inst.repo=http://s390.koji.fedoraproject.org/tree/releases/18/Fedora/s390x/os/im
ages/
rd.znet=qeth,0.0.f5f0,0.0.f5f1,0.0.f5f2,layer2=1,portname=OSAPORT
root=live:http://s390.koji.fedoraproject.org/tree/releases/18/Fedora/s390x/os/im
ages/install.img
portno=0 rd.dasd=0.0.385a
Comment 4 Mark Hamzy 2013-02-12 11:20:17 EST
Created attachment 696575 [details]
this traceback was on the system
Comment 5 Chris Lumens 2013-03-22 10:09:13 EDT
Does this still happen given commit 95e142591d17f0f342ef18a292738b23424c5992 on master?
Comment 6 Fedora End Of Life 2013-12-21 05:58:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 13:40:00 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.